Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## dioscuri.module.cpu32
Class ConstantPoolInfo

    java.lang.Object
      dioscuri.module.cpu32.ConstantPoolInfo

Direct Known Subclasses:
  ConstantPoolInfo.ClassInfo, ConstantPoolInfo.DoubleInfo, ConstantPoolInfo.FieldRefInfo, ConstantPoolInfo.FloatInfo, ConstantPoolInfo.IntegerInfo, ConstantPoolInfo.LongInfo, ConstantPoolInfo.MethodRefInfo, ConstantPoolInfo.NameAndTypeInfo, ConstantPoolInfo.StringInfo, ConstantPoolInfo.Utf8Info

    public abstract class ConstantPoolInfo

extends java.lang.Object

Author:
  Bram Lohman, Bart Kiers

Nested Class Summary
`static class` | `ConstantPoolInfo.ClassInfo`
`static class` | `ConstantPoolInfo.DoubleInfo`
`static class` | `ConstantPoolInfo.FieldRefInfo`
`static class` | `ConstantPoolInfo.FloatInfo`
`static class` | `ConstantPoolInfo.IntegerInfo`
`static class` | `ConstantPoolInfo.InterfaceMethodRefInfo`
`static class` | `ConstantPoolInfo.LongInfo`
`static class` | `ConstantPoolInfo.MethodRefInfo`
`static class` | `ConstantPoolInfo.NameAndTypeInfo`
`static class` | `ConstantPoolInfo.StringInfo`
`static class` | `ConstantPoolInfo.Utf8Info`

Field Summary
`static int` | `CLASS`
`static int` | `DOUBLE`
`static int` | `FIELDREF`
`static int` | `FLOAT`
`static int` | `INTEGER`
`static int` | `INTERFACEMETHODREF`
`static int` | `LONG`
`static int` | `METHODREF`
`static int` | `NAMEANDTYPE`
`static int` | `STRING`
`static int` | `UTF8`

Constructor Summary
`ConstantPoolInfo()`

Method Summary
`static ConstantPoolInfo` | `construct(java.io.DataInputStream in)`
`abstract boolean` | `equals(java.lang.Object obj)`
`abstract int` | `getTag()`
`int` | `hashCode()`
`abstract void` | `write(java.io.DataOutputStream out)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CLASS

    public static final int CLASS

See Also:
  Constant Field Values

### FIELDREF

    public static final int FIELDREF

See Also:
  Constant Field Values

### METHODREF

    public static final int METHODREF

See Also:
  Constant Field Values

### INTERFACEMETHODREF

    public static final int INTERFACEMETHODREF

See Also:
  Constant Field Values

### STRING

    public static final int STRING

See Also:
  Constant Field Values

### INTEGER

    public static final int INTEGER

See Also:
  Constant Field Values

### FLOAT

    public static final int FLOAT

See Also:
  Constant Field Values

### LONG

    public static final int LONG

See Also:
  Constant Field Values

### DOUBLE

    public static final int DOUBLE

See Also:
  Constant Field Values

### NAMEANDTYPE

    public static final int NAMEANDTYPE

See Also:
  Constant Field Values

### UTF8

    public static final int UTF8

See Also:
  Constant Field Values

Constructor Detail

### ConstantPoolInfo

    public ConstantPoolInfo()

Method Detail

### getTag

    public abstract int getTag()

  Returns:
    -

### write

    public abstract void write(java.io.DataOutputStream out)
                        throws java.io.IOException

  Parameters:
    `out` -
  Throws:
    `java.io.IOException`

### equals

    public abstract boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### construct

    public static ConstantPoolInfo construct(java.io.DataInputStream in)
                                      throws java.io.IOException

  Parameters:
    `in` -
  Returns:
    -
  Throws:
    `java.io.IOException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD